Check-Out booking, add a payment of type invoice to mark booking for invoicing
PUT
/v1/booking/checkout/bookings/CheckOut
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/CheckOut';const options = { method: 'PUT', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"bookingRootId":1,"cashierName":"example","tableArticleIds":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/CheckOut \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "bookingRootId": 1, "cashierName": "example", "tableArticleIds": [ 1 ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
bookingRootId
integer format: int64
cashierName
string
tableArticleIds
Array<integer>
Examplegenerated
{ "bookingRootId": 1, "cashierName": "example", "tableArticleIds": [ 1 ]}Responses
Section titled “Responses”The updated checkout booking.
Media typeapplication/json
object
result
One of:
object
bookingNumber
string
start
string format: date-time
end
string format: date-time
guests
integer format: int32
guestsChildren
integer format: int32
message
string
messageInternal
string
status
integer format: byte
contactId
integer format: int64
contactFirstName
string
contactLastName
string
customerId
integer format: int64
customerName
string
bookingRootId
integer format: int64
checkoutPlaceId
string
id
integer format: int64
articleId
integer format: int64
tableArticles
Array<object>
object
start
string format: date-time
end
string format: date-time
articleId
integer format: int64
articleName
string
tableName
string
bookedArticleId
integer format: int64
nonTableArticles
Array<object>
object
start
string format: date-time
articleId
integer format: int64
bookedArticleId
integer format: int64
name
string
quantity
number format: decimal
outPriceIncVat
number format: decimal
vat
number format: decimal
mustBeInvoiced
boolean
validationResult
One of:
object
generalErrors
Array<object>
object
message
string
messageData
object
key
additional properties
string
generalWarnings
Array<object>
object
message
string
messageData
object
key
additional properties
string
propertyErrors
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
propertyWarnings
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
validationResults
object
key
additional properties
object
generalErrors
Array<object>
object
message
string
messageData
object
key
additional properties
string
generalWarnings
Array<object>
object
message
string
messageData
object
key
additional properties
string
propertyErrors
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
propertyWarnings
Array<object>
object
propertyName
string
message
string
messageData
object
key
additional properties
string
Example
{ "application/json": { "bookingRootId": 12345, "cashierName": "Bella Roos", "tableArticleIds": [ 91926 ] }}